Index: /ipk/source/infos_imdb_1_0/CONTROL/control
===================================================================
--- /ipk/source/infos_imdb_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/infos_imdb_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-infos-imdb
+Version: 1.0
+Architecture: sh4
+OE: IMDb
+Section: infos
+Priority: optional
+Maintainer: aaf
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: IMDb plugin
Index: /ipk/source/infos_imdb_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/infos_imdb_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/infos_imdb_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.IMDb
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/infos_imdb_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/infos_imdb_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/infos_imdb_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.Dvdplayer
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/IMDb
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/infos_imdb_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/infos_imdb_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/infos_imdb_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.IMDb
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=72
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing IMDb plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/infos_imdb_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/infos_imdb_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/infos_imdb_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.IMDb
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing Dvdplayer plugin..."
+exit 0
Index: /ipk/source/players_dvdplayer_1_0/CONTROL/control
===================================================================
--- /ipk/source/players_dvdplayer_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/players_dvdplayer_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-players-dvdplayer
+Version: 1.0
+Architecture: sh4
+OE: dvdplayer
+Section: players
+Priority: optional
+Maintainer: acid-burn@opendreambox.org
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Dvdplayer plugin
Index: /ipk/source/players_dvdplayer_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/players_dvdplayer_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/players_dvdplayer_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.Dvdplayer
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/players_dvdplayer_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/players_dvdplayer_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/players_dvdplayer_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.Dvdplayer
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/Dvdplayer
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/players_dvdplayer_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/players_dvdplayer_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/players_dvdplayer_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.Dvdplayer
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=96
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing Dvdplayer plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/players_dvdplayer_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/players_dvdplayer_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/players_dvdplayer_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.Dvdplayer
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing Dvdplayer plugin..."
+exit 0
Index: /ipk/source/system_auto3dskinswitch_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_auto3dskinswitch_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_auto3dskinswitch_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-system-auto3dskinswitch
+Version: 1.0
+Architecture: sh4
+OE: auto3dskinswitch
+Section: system
+Priority: optional
+Maintainer: hellmaster
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Auto3DSkinSwitch plugin
Index: /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.Auto3DSkinSwitch
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_auto3dskinswitch_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.Auto3DSkinSwitch
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/SystemPlugins/Auto3DSkinSwitch
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_auto3dskinswitch_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_auto3dskinswitch_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_auto3dskinswitch_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.Auto3DSkinSwitch
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=16
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing Auto3DSkinSwitch plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_auto3dskinswitch_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_auto3dskinswitch_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_auto3dskinswitch_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.Auto3DSkinSwitch
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing Auto3DSkinSwitch plugin..."
+exit 0
Index: /ipk/source/system_autoresolution_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_autoresolution_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-system-autoresolution
+Version: 1.0
+Architecture: sh4
+OE: AutoResolution
+Section: system
+Priority: optional
+Maintainer: aaf
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: AutoResolution plugin
Index: /ipk/source/system_autoresolution_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_autoresolution_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.AutoResolution
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_autoresolution_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_autoresolution_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.AutoResolution
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/SystemPlugins/AutoResolution
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_autoresolution_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_autoresolution_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.AutoResolution
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=150
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing AutoResolution plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_autoresolution_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_autoresolution_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.AutoResolution
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing AutoResolution plugin..."
+exit 0
Index: /ipk/source/system_autoresolution_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/AutoResolution/maintainer.info
===================================================================
--- /ipk/source/system_autoresolution_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/AutoResolution/maintainer.info	(revision 14688)
+++ /ipk/source/system_autoresolution_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/AutoResolution/maintainer.info	(revision 14688)
@@ -0,0 +1,2 @@
+dom.nehls@web.de
+AutoResolution
Index: /ipk/source/system_cleanupwizard_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-system-cleanupwizard
+Version: 1.0
+Architecture: sh4
+OE: CleanupWizard
+Section: system
+Priority: optional
+Maintainer: hellmaster
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: CleanupWizard plugin
Index: /ipk/source/system_cleanupwizard_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.CleanupWizard
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_cleanupwizard_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.CleanupWizard
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_cleanupwizard_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.CleanupWizard
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=32
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing CleanupWizard plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_cleanupwizard_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.CleanupWizard
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing CleanupWizard plugin..."
+exit 0
Index: /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/LICENSE
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/LICENSE	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/LICENSE	(revision 14688)
@@ -0,0 +1,12 @@
+This plugin is licensed under the Creative Commons
+Attribution-NonCommercial-ShareAlike 3.0 Unported
+License. To view a copy of this license, visit
+http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to Creative
+Commons, 559 Nathan Abbott Way, Stanford, California 94305, USA.
+
+Alternatively, this plugin may be distributed and executed on hardware which
+is licensed by Dream Multimedia GmbH.
+
+This plugin is NOT free software. It is open source, you are allowed to
+modify it (if you keep the license), but it may not be commercially
+distributed other than under the conditions noted above.
Index: /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/cleanupwizard.xml
===================================================================
--- /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/cleanupwizard.xml	(revision 14688)
+++ /ipk/source/system_cleanupwizard_1_0/usr/lib/enigma2/python/Plugins/SystemPlugins/CleanupWizard/cleanupwizard.xml	(revision 14688)
@@ -0,0 +1,59 @@
+<wizard>
+	<step id="welcome">
+		<text value="Welcome to the cleanup wizard.\n\nWe have detected that your available internal memory has dropped below 2MB.\nTo ensure stable operation of your Dreambox, the internal memory should be cleaned up.\nYou can use this wizard to remove some extensions.\n" />
+		<displaytext value="Cleanup Wizard" />
+		<list type="dynamic" source="listAction" evaluation="ActionSelectionMade" onselect="ActionSelectionMoved" />
+		<code>
+self.clearSelectedKeys()
+self.selectKey("OK")
+		</code>
+		<code pos="after" async="yes">
+self.buildList(self.selectedAction)
+		</code>
+	</step>
+
+	<step id="removeextensions">
+		<text value="Please select an extension to remove." />
+		<displaytext value="Select package" />
+		<list type="dynamic" source="listInstalledPackages" evaluation="PackageSelectionMade" onselect="PackageSelectionMoved" />
+		<code>
+self.clearSelectedKeys()
+self.selectKey("OK")
+self.selectKey("UP")
+self.selectKey("DOWN")
+		</code>
+		<code pos="after" async="yes">
+self.removeExtension(self.selectedPackage)
+		</code>
+	</step>
+
+	<step id="StatusRemoveOK">
+		<text value="Package removed successfully.\n" />
+		<displaytext value="Removed successfully." />
+		<list type="dynamic" source="listAgainAction" evaluation="ActionSelectionMade" onselect="ActionSelectionMoved" />
+		<code>
+self["text"].setText(self.Text)
+self.clearSelectedKeys()
+self.selectKey("OK")
+		</code>
+		<code pos="after" async="yes">
+self.buildList(self.selectedAction)
+		</code>
+	</step>
+	<step id="StatusRemoveERROR">
+		<text value="Package removal failed.\n" />
+		<displaytext value="Remove failed." />
+		<list type="dynamic" source="listAgainAction" evaluation="ActionSelectionMade" onselect="ActionSelectionMoved" />
+		<code>
+self["text"].setText(self.Text)
+self.clearSelectedKeys()
+self.selectKey("OK")
+		</code>
+		<code pos="after" async="yes">
+self.buildList(self.selectedAction)
+		</code>
+	</step>
+	<step id="end">
+		<text value="The wizard is finished now." />
+	</step>
+</wizard>
Index: /ipk/source/system_networkbrowser_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_networkbrowser_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_networkbrowser_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-network-networkbrowser
+Version: 1.0
+Architecture: sh4
+OE: NetworkBrowser
+Section: network
+Priority: optional
+Maintainer: aaf
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: NetworkBrowser plugin
Index: /ipk/source/system_networkbrowser_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_networkbrowser_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_networkbrowser_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.NetworkBrowser
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_networkbrowser_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_networkbrowser_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_networkbrowser_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.NetworkBrowser
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/SystemPlugins/NetworkBrowser
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_networkbrowser_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_networkbrowser_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_networkbrowser_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.NetworkBrowser
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=216
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing NetworkBrowser plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_networkbrowser_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_networkbrowser_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_networkbrowser_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.NetworkBrowser
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing NetworkBrowser plugin..."
+exit 0
Index: /ipk/source/system_networkserver_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_networkserver_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_networkserver_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-network-networkserver
+Version: 1.0
+Architecture: sh4
+OE: NetworkServer
+Section: system
+Priority: optional
+Maintainer: aaf
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: NetworkServer plugin
Index: /ipk/source/system_networkserver_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_networkserver_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_networkserver_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.NetworkServer
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_networkserver_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_networkserver_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_networkserver_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.NetworkServer
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/SystemPlugins/NetworkServer
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_networkserver_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_networkserver_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_networkserver_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.NetworkServer
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=44
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing NetworkServer plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_networkserver_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_networkserver_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_networkserver_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.NetworkServer
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing NetworkServer plugin..."
+exit 0
Index: /ipk/source/system_osdadjustment_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_osdadjustment_1_0/CONTROL/control	(revision 14688)
+++ /ipk/source/system_osdadjustment_1_0/CONTROL/control	(revision 14688)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-system-osdadjustment
+Version: 1.0
+Architecture: sh4
+OE: OSDAdjustment
+Section: system
+Priority: optional
+Maintainer: acid-burn@opendreambox.org
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: OSDAdjustment plugin
Index: /ipk/source/system_osdadjustment_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_osdadjustment_1_0/CONTROL/postinst	(revision 14688)
+++ /ipk/source/system_osdadjustment_1_0/CONTROL/postinst	(revision 14688)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.OSDAdjustment
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_osdadjustment_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_osdadjustment_1_0/CONTROL/postrm	(revision 14688)
+++ /ipk/source/system_osdadjustment_1_0/CONTROL/postrm	(revision 14688)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.OSDAdjustment
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/OSDAdjustment
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_osdadjustment_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_osdadjustment_1_0/CONTROL/preinst	(revision 14688)
+++ /ipk/source/system_osdadjustment_1_0/CONTROL/preinst	(revision 14688)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.OSDAdjustment
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=32
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing OSDAdjustment plugin ..."
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+exit 0
Index: /ipk/source/system_osdadjustment_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_osdadjustment_1_0/CONTROL/prerm	(revision 14688)
+++ /ipk/source/system_osdadjustment_1_0/CONTROL/prerm	(revision 14688)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.OSDAdjustment
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing OSDAdjustment plugin..."
+exit 0
